/*  LoadAndDecimate.h

    Private header for  LoadAndDecimate  widget class.

    Copyright (C) 1997-2000  Richard Gooch

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*

    This include file contains the private class declarations for the
  LoadAndDecimate widget.


    Written by      Richard Gooch   20-APR-1997

    Last updated by Richard Gooch   26-MAY-2000


*/
#ifndef LoadAndDecimateP__H
#define LoadAndDecimateP__H

#include <X11/IntrinsicP.h>
#include <X11/ShellP.h>
#include <X11/StringDefs.h>

#include <Xkw/LoadAndDecimate.h>

typedef struct _LoadAndDecimatePart
{
    /*  Public resources  */
    Bool               verbose;
    /*  Private resources  */
    char               *filename;
    char               *domain_name;
    Widget             size_lbl;
    Widget             mem_lbl;
    Widget             blc_lbl;
    Widget             trc_lbl;
    Widget             inc_lbl;
    Widget             progress_meter;
    Widget             start_x_sld;
    Widget             end_x_sld;
    Widget             start_y_sld;
    Widget             end_y_sld;
    Widget             start_z_sld;
    Widget             end_z_sld;
    Widget             skip_x_sld;
    Widget             skip_y_sld;
    Widget             skip_z_sld;
    Widget             auto_save_tgl;
    Widget             average_tgl;
    Widget             save_filename_dlg;
    Cardinal           num_blocks;
    Cardinal           current_block;
    XtWorkProcId       work_proc_id;
    unsigned int       ftype;
    multi_array        *orig_multi_desc;
    multi_array        *new_multi_desc;
    uaddr              xlen_in;
    uaddr              ylen_in;
    uaddr              zlen_in;
    int                xskip;
    int                yskip;
    int                zskip;
    int                start_x;
    int                start_y;
    int                start_z;
    int                end_x;
    int                end_y;
    int                end_z;
    float              *buffer;
    unsigned int       *countbuf;
    float              minval;
    float              maxval;
    Channel            channel;
    KMiriadDataContext miriad_ctx;
    KDRAODataContext   drao_ctx;
    KAIPS1DataContext  aips1_ctx;
} LoadAndDecimatePart, *LoadAndDecimatePartPtr;

typedef struct _LoadAndDecimateRec
{
    CorePart core;
    CompositePart composite;
    ShellPart shell;
    WMShellPart wm;
    VendorShellPart vendor;
    TopLevelShellPart topLevel;
    LoadAndDecimatePart loadAndDecimate;
} LoadAndDecimateRec, *LoadAndDecimatePtr;

typedef struct _LoadAndDecimateClassPart
{
    int empty;
} LoadAndDecimateClassPart;

typedef struct _LoadAndDecimateClassRec
{
    CoreClassPart core_class;	
    CompositeClassPart composite_class;
    ShellClassPart shell_class;
    WMShellClassPart wm_shell_class;
    VendorShellClassPart vendor_shell_class;
    TopLevelShellClassPart top_level_shell_class;
    LoadAndDecimateClassPart loadAndDecimate_class;
} LoadAndDecimateClassRec, *LoadAndDecimateClassPtr;

extern LoadAndDecimateClassRec loadAndDecimateClassRec;

#endif
