/*  OverlayEditorControl.h

    Private header for  OverlayEditorControl  widget class.

    Copyright (C) 1997-2000  Richard Gooch

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*

    This include file contains the private class declarations for the
  OverlayEditorControl widget.


    Written by      Richard Gooch   3-AUG-1997

    Last updated by Richard Gooch   4-SEP-2000

*/
#ifndef OverlayEditorControlP__H
#define OverlayEditorControlP__H

#include <X11/IntrinsicP.h>
#include <X11/ShellP.h>
#include <X11/StringDefs.h>

#include <karma_overlay.h>
#include <Xkw/OverlayEditorControl.h>

typedef struct _OverlayEditorControlPart
{
    /*  Public resources  */
    int dummy;
    /*  Private resources  */
    KOverlayList olist;
    KOverlayListEditorContext ctx;
    struct canvas_list *first_canvas;
    Widget text_widget;
} OverlayEditorControlPart, *OverlayEditorControlPartPtr;

typedef struct _OverlayEditorControlRec
{
    CorePart core;
    CompositePart composite;
    ShellPart shell;
    WMShellPart wm;
    VendorShellPart vendor;
    TopLevelShellPart topLevel;
    OverlayEditorControlPart overlayEditorControl;
} OverlayEditorControlRec, *OverlayEditorControlPtr;

typedef struct _OverlayEditorControlClassPart
{
    int empty;
} OverlayEditorControlClassPart;

typedef struct _OverlayEditorControlClassRec
{
    CoreClassPart core_class;	
    CompositeClassPart composite_class;
    ShellClassPart shell_class;
    WMShellClassPart wm_shell_class;
    VendorShellClassPart vendor_shell_class;
    TopLevelShellClassPart top_level_shell_class;
    OverlayEditorControlClassPart overlayEditorControl_class;
} OverlayEditorControlClassRec, *OverlayEditorControlClassPtr;

extern OverlayEditorControlClassRec overlayEditorControlClassRec;

#endif
