/*  karma_graph1d.h

    Header for  graph1d_  package.

    Copyright (C) 2000-2001  Richard Gooch

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*

    This include file contains all the definitions and function declarations
  needed to interface to the graph1d_ routines in the Karma library.


    Written by      Richard Gooch   15-JUN-2000

    Last updated by Richard Gooch   17-MAY-2001

*/

#if !defined(KARMA_CANVAS_DEF_H) || defined(MAKEDEPEND)
#  include <karma_canvas_def.h>
#endif

#ifndef KARMA_GRAPH1D_H
#define KARMA_GRAPH1D_H


/*  File:  main.c  */
EXTERN_FUNCTION (void graph1d_lines,
		 (KWorldCanvas canvas,
		  unsigned int num_points, CONST double *x, CONST double *y,
		  unsigned long pixel_value,
		  unsigned int num_pixels, unsigned long *pixel_values) );
EXTERN_FUNCTION (void graph1d_steps,
		 (KWorldCanvas canvas,
		  unsigned int num_points, CONST double *x, CONST double *y,
		  unsigned long pixel_value,
		  unsigned int num_pixels, unsigned long *pixel_values) );
EXTERN_FUNCTION (void graph1d_points,
		 (KWorldCanvas canvas,
		  unsigned int num_points, CONST double *x, CONST double *y,
		  unsigned long pixel_value) );


#endif /*  KARMA_GRAPH1D_H  */
